# Overview

Command line tools for integrating New Relic React Native Mobile SDK.

Please see the [New Relic documentation](https://docs.newrelic.com/docs/install-mobile-extensible-agent) for getting started.

## Beta access

During the private beta, support for the Mobile React Native agent is being handled through mobilebeta@newrelic.com or through the New Relic Explorers Hub's React Native beta discussion board. Requests made elsewhere will be routed to these locations. If you need access to the discussion board, email mobilebeta@newrelic.com.

## Usage
The CLI has the following APIs available:

```
Commands:
  setup [options]
  remove [options]
  upload [options]
  rn-upload [options]
  clean-tmp [options]

Options:
  -f, --framework [type]  Add New Relic into an app built on a framework. Currently supports `reactNative` option.
  -p, --platforms [list]  Platforms that we support. Removes New Relic integrations from apps when used with `--remove`.
  -r, --remove [type]     Remove New Relic from an app.
  --verbose               Log all the things!
  -h, --help              output usage information
```
