const commands = module.exports;

commands.name = 'upload'

commands.options = {
  filePath: {
    flags: '-f, --file [value]',
    description: 'file path.'
  },
  token: {
    flags: '-t, --token [value]',
    description: 'app token.'
  },
  platform: {
    flags: '-p, --platform [value]',
    description: 'platform type.',
  },
  appVersion: {
    flags: '--js-app-version [value]',
    description: 'js app version number. New Relic uses this to associate your js bundle with its source map.'
  },
  staging: {
    flags: '--staging',
    description: 'send map to staging New Relic.'
  },
};
