class Log {
  constructor() {
    this.verbose = false
    this.nameSpace = '[NRMA]'
  }

  info(text) {
    console.log(`${this.nameSpace} ${text}`)
  }

  debug(text) {
    if (this.verbose) {
      console.log(`${this.nameSpace} ${text}`)
    }
  }

  error(text) {
    console.log(`${this.nameSpace} ${text}`)
  }

  warn(text) {
    console.log(`${this.nameSpace} ${text}`)
  }

}

const LOG = new Log()

module.exports = LOG
