const commands = module.exports;
const utils = require('../utils');

commands.name = 'setup';

commands.options = {
  frameworks: {
    flags: '-f, --framework [type]',
    description: 'Add New Relic into an app built on a framework. Currently supports `reactNative` option.'
  },
  platforms: {
    flags: '-p, --platforms [list]',
    description: 'Platforms that we support. Removes New Relic integrations from apps when used with `--remove`.',
    parser: utils.list
  },
  deleteCmd: {
    flags: '-r, --remove [type]',
    description: 'Remove New Relic from an app.'
  },
  verbose: {
    flags: '-v, --verbose',
    description: 'Log all the things!'
  },
};
