const frameworks = require('../frameworks')
const platforms = require('../platforms')

const TOPICS = module.exports;

TOPICS.actions = {
  ERROR: 'NR.ERROR',
  platforms: {},
  add: {
    reactNative: frameworks.types.reactNative.name.toLowerCase(),
    rnIos: `rn.${platforms.types.iOS.name.toLowerCase()}`,
    rnAndroid: `rn.${platforms.types.android.name.toLowerCase()}`
  },
  remove: {
    reactNative: `remove.${frameworks.types.reactNative.name.toLowerCase()}`,
    rnIos: `rn.remove.${platforms.types.iOS.name.toLowerCase()}`,
    rnAndroid: `rn.remove.${platforms.types.android.name.toLowerCase()}`
  },
  UPLOAD: 'NR.UPLOAD'
}
