const reactNative = require('../../app/frameworks/react-native')
const frameworks = require('../../app/frameworks');
const platforms = require('../../app/platforms');

// args.newRelicConfig || CONSTANTS.newRelicConfig
// const rnAppFilePath = args.rnAppFilePath

const config = {
  framework: frameworks.types.reactNative.name,
  platforms: [platforms.types.android.name, platforms.types.iOS.name],
  verbose: true,
  newRelicConfig: '../artifacts/newrelic.json'
};

describe('reactNative', () => {
  it('should have a name, install, remove and upload attributes', () => {
    expect(reactNative).toBeTruthy();
    expect(reactNative.name).toBeTruthy();
    expect(reactNative.install).toBeTruthy();
    expect(reactNative.remove).toBeTruthy();
    expect(reactNative.upload).toBeTruthy();
  });

  // it('handle react', () => {
  //   //todo: this is going to take too long to stage and unstage artifact changes changes.
  // });

  it('should handle bad params', () => {
    expect(reactNative.install.handleReact()).toBeFalsy();
  });


});
